#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <termios.h>
#include <fcntl.h>
#include <string.h>
#include <time.h>
#include <netdb.h>

// exemple d'appel de l'API eedomus en PHP
// chaque fois que ce script sera appelé, le périphérique dont le code API est "periph_id" sera mis à jour avec l'adresse IP de la machine qui l'éxecute.

int main(int argc, char *argv[])
{
	// définition des variables
	char* api_user = "xxxxxx"; // a récupérer sur votre compte eedomus
	char* api_secret = "xxxxxxxxxxxxxxx"; // a récupérer sur votre compte eedomus
	int periph_id = xxxx ; // code API du périphérique à mettre à jour (http://doc.eedomus.com/index.php/Code_API)
	
	char url[512]; //url qui sera complétée et envoyée
	char* value; //valeur qui sera l'objet de ce programme.


//Ex : Fonction permettant de récuperer l'adresse IP de la machine
#include <arpa/inet.h>

	char hostname[256];
	struct hostent * host;

	if (gethostname(hostname, sizeof(hostname)) == 0){
		if ((host = gethostbyname(hostname)) != NULL){
			struct hostent * host;
			host = gethostbyname(hostname);
			value = inet_ntoa(*(struct in_addr *)host->h_addr);
		}
	}
//fin de la fonction permettant de récupérer l'adresse IP de la machine.

	// construction de l'URL de l'API
	//les %s et %d permettent d'être remplacés par les valeurs qui se suivent respectivement après les virgules.
	sprintf(url, "http://api.eedomus.com/set?action=periph.value&api_user=%s&api_secret=%s&periph_id=%d&value=%s",api_user,api_secret,periph_id,value);

	//mise sous forme de la commande system qui sera appelée sur linux. le --spider permet de ne pas télécharger la page.
	char commande_system[512];
	sprintf(commande_system,"wget --spider '%s'",url);

	//execution de la commande dans le shell linux
	int resultat = system(commande_system);

	//interprétation du résultat
	if(resultat==-1){
		printf("Une erreur est survenue : %d",resultat);
	}else{
		// Tout s'est bien passé, si nécessaire on peut exécuter un code spécifique ici
	}
	return 0;
}
